using BeWo.DiakonieKKKleve;
using BeWo.Report;
using BeWo.Report.ReportObjects;

using BS.Shared.Core;

namespace BeWo.LebenshilfeEssenReports
{
	[IDSpecificClass(Identifier = "Mitarbeiterstundenkonto")]
	public partial class Mitarbeiterstundenkonto : DevExpress.XtraReports.UI.XtraReport, IBeWoReport<MitarbeiterstundenkontoRO>
	{
		public Mitarbeiterstundenkonto()
		{
			InitializeComponent();
		}

		public void SetReportDataSource(MitarbeiterstundenkontoRO pRO)
		{
			var msb = new DiakonieKKKleveMitarbeiterstundenkontoBerechnung();
			msb.CreateReport(pRO);

			ueberschriftsLabel.Text = string.Format("Arbeitszeiterfassung für den Monat {0}", pRO.ReportStartDate.ToString("MMMM yyyy"));
			sollStundenMonatLabelTableCell.Text = string.Format("Sollstunden Monat {0}", pRO.ReportStartDate.ToString("MMMM yyyy"));

			bindingSource1.DataSource = pRO;
		}
	}
}
